none
NET-Framework-Core is removed? RRS feed

  • Question

  • I am trying to use Windows Container as data analyze tools, but there are some problem about the professional programs' installation.

    I try to install CALPro Plus (a program which is used in aerograpy), but it reminded me that it need the .NET framework 2.0. I checked that in Get-WindowsFeature but I found that it has been removed.

    Would the container support .NET framework 3.5 or earlier in the future?

    Would your team launch more container images based on Windows XP or earlier(Windows 2K or even DOS)?

    Tuesday, November 17, 2015 5:13 AM

Answers

  • Hello,

    We have added a doc on how to create a server core container with .NET 3.5. You can read it here.

    You can also use docker to pull a container image that has .NET 3.5. You can do this by doing:

    docker pull microsoft/dotnet35

    Saturday, December 12, 2015 12:20 AM
    Moderator

All replies

  • Still .NET framework 3.5 or earlier is removed in windows server 2016 TP4.

    Unable to install most of the Application.

    Monday, November 23, 2015 7:06 AM
  • Hello,

    We have tested .NET 3.5 in containers using Server Core as a base image and it works. In order to install it, you'll need the .NET 3.5 cab file, which you can find in the TP4 ISO. I'll write the steps on how to do this and get back to you.

    Wednesday, December 2, 2015 6:54 PM
    Moderator
  • Thanks Ender Barillas...

    Ender Barillas
    Ender Barillas
    Ender Barillas
    Thursday, December 3, 2015 8:52 AM
  • One more thing i need to know..

    Please confirm Windows Docker Container supports GUI Interface or Not

    Thursday, December 3, 2015 8:55 AM
  • Hello,

    We have added a doc on how to create a server core container with .NET 3.5. You can read it here.

    You can also use docker to pull a container image that has .NET 3.5. You can do this by doing:

    docker pull microsoft/dotnet35

    Saturday, December 12, 2015 12:20 AM
    Moderator
  • I tried 'docker pull microsoft/dotnet35' on my Azure TP4 machine, but I got:

    >docker pull microsoft/dotnet35
    Using default tag: latest
    Pulling repository docker.io/microsoft/dotnet35
    Error: image microsoft/dotnet35:latest not found

    I also tried --all-tags, but that didn't work either:

    >docker pull --all-tags microsoft/dotnet35
    Pulling repository docker.io/microsoft/dotnet35
    Error: image microsoft/dotnet35: not found


    http://blogs.msdn.com/b/eric_erhardt/

    Monday, February 15, 2016 1:44 AM
  • I get this as well. Any ideas? Oddly docker search * lists it as existing
    • Edited by JontyMC Wednesday, February 24, 2016 2:44 PM
    Wednesday, February 24, 2016 2:44 PM
  • @JontyMC,

    See the following article. Running that update script solved this problem for me.

    https://social.msdn.microsoft.com/Forums/en-US/88df17cb-2895-4c88-896c-7d843252bc2a/tp4-docker-pull-error?forum=windowscontainers


    http://blogs.msdn.com/b/eric_erhardt/

    Wednesday, February 24, 2016 2:49 PM
  • Awesome, this worked. Thank you.
    Thursday, February 25, 2016 9:14 AM
  • Hello,

    We have added a doc on how to create a server core container with .NET 3.5. You can read it _here_.

    You can also use docker to pull a container image that has .NET 3.5. You can do this by doing:

    docker pull microsoft/dotnet35

    The link is broken.
    Monday, November 4, 2019 10:34 AM